package com.reyun.service;

import com.reyun.model.Account;

import java.util.Map;

/**
 * Created by Administrator on 2017/5/5 0005.
 */
public interface RegedService {

    public Boolean sendActiceEmail(String url, Long id);

    public String active(String token, Long id);

    public Account modifyEmail(Long id, String oldemail, String newemail);

    public Map<String,Object> sendForgetPwdEmail(String email);

    public String updatepwd(Long id,String newpwd,String token);

    public String validatepass(String message);

    public Boolean sendactivewhenUpdateEmail(String url,String newemail,Long time);

    public void verifyAccount(Account account,String ip);

}
